return {
  'folke/trouble.nvim',
  ft = { 'lua', 'rust', 'python' },
  opts = {
    use_diagnostic_signs = true,
    height = 15,
  },
  vim.keymap.set('n', '<leader>xx', '<cmd>TroubleToggle<cr>'),
  vim.keymap.set('n', '<leader>xw', '<cmd>TroubleToggle workspace_diagnostics<cr>'),
  vim.keymap.set('n', '<leader>xd', '<cmd>TroubleToggle document_diagnostics<cr>'),
  vim.keymap.set('n', '<leader>xl', '<cmd>TroubleToggle loclist<cr>'),
  vim.keymap.set('n', '<leader>xq', '<cmd>TroubleToggle quickfix<cr>'),
  vim.keymap.set('n', '<leader>gR', '<cmd>TroubleToggle lsp_references<cr>'),
}
